# rubygem(test-unit) not available for 6.
%if 0%{?fedora} || 0%{?rhel} > 6
%global with_checks 1
%endif

%global gem_name sys-proctable

Name: rubygem-%{gem_name}

# True version has '-'s in so we switch to '_'s.
Version:       0.9.4_universal_linux

# Since we switch we have to switch everything else back. :-)
%global dashedversion        %(echo '%{version}' | sed 's/_universal_linux/-universal-linux/g')
%global dashed_gem_install   %(echo '%{gem_install}' | sed 's/_universal_linux/-universal-linux/g' )
%global dashed_gem_dir       %(echo '%{gem_dir}' | sed 's/_universal_linux/-universal-linux/g' )
%global dashed_gem_instdir   %(echo '%{gem_instdir}' | sed 's/_universal_linux/-universal-linux/g' )
%global dashed_gem_libdir    %(echo '%{gem_libdir}' | sed 's/_universal_linux/-universal-linux/g' )
%global dashed_gem_cache     %(echo '%{gem_cache}' | sed 's/_universal_linux/-universal-linux/g' )
%global dashed_gem_spec      %(echo '%{gem_spec}' | sed 's/_universal_linux/-universal-linux/g' )
%global dashed_gem_docdir    %(echo '%{gem_docdir}' | sed 's/_universal_linux/-universal-linux/g' )

Release:       2%{?dist}
Summary:       An interface for providing process table information
Group:         Development/Languages
License:       Artistic 2.0
URL:           http://www.rubyforge.org/projects/sysutils
Source0:       https://rubygems.org/gems/%{gem_name}-%{dashedversion}.gem
# Missing file for tests.
# https://github.com/djberg96/sys-proctable/issues/33
Source1:       https://raw.githubusercontent.com/djberg96/sys-proctable/master/test/test_sys_top.rb
Patch0:        sys-proctable-disable-a-test.patch

%if 0%{?el6}
Requires:      ruby(abi) = 1.8
%endif
%if 0%{?fc19} || 0%{?fc20} || 0%{?el7}
Requires:      ruby(release)
%endif

BuildRequires: rubygems-devel 
BuildRequires: ruby 
%if 0%{?with_checks}
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(rake)
%endif

BuildArch:     noarch

%if 0%{?fc19} || 0%{?fc20} || 0%{?el6} || 0%{?el7}
Provides:      rubygem(%{gem_name}) = %{version}
%endif

%description
The sys-proctable library provides an interface for gathering information
about processes on your system, i.e. the process table. Most major
platforms are supported and, while different platforms may return
different information, the external interface is identical across
platforms.

%package       doc
Summary:       Documentation for %{name}
Group:         Documentation
Requires:      %{name} = %{version}-%{release}
BuildArch:     noarch

%description   doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{dashedversion}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%patch0 -p1

cp -p %{SOURCE1} test/.

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install

%dashed_gem_install

%install
mkdir -p %{buildroot}%{dashed_gem_dir}
cp -pa .%{dashed_gem_dir}/* \
        %{buildroot}%{dashed_gem_dir}/

%check
%if 0%{?with_checks}
rake test
%endif

%files
%dir %{dashed_gem_instdir}
%{dashed_gem_libdir}
%exclude %{dashed_gem_cache}
%{dashed_gem_spec}
%if 0%{?el6}
%exclude %{dashed_gem_instdir}/.require_paths
%endif

%files doc
%doc %{dashed_gem_docdir}
%doc %{dashed_gem_instdir}/CHANGES
%doc %{dashed_gem_instdir}/README
%doc %{dashed_gem_instdir}/MANIFEST
%{dashed_gem_instdir}/doc/top.txt
%{dashed_gem_instdir}/benchmarks
%{dashed_gem_instdir}/test
%{dashed_gem_instdir}/examples
%{dashed_gem_instdir}/Rakefile
%{dashed_gem_instdir}/%{gem_name}.gemspec


%changelog
* Mon Jun 2 2014 Steve Traylen <steve.traylen@cern.ch> - 0.9.4_universal_linux-2
- Update to latest ruby guidelines

* Wed Apr 30 2014 Steve Traylen <steve.traylen@cern.ch> - 0.9.4_universal_linux-1
- Initial package


